/***************************************************************************
 *   Copyright (C) 2007 by Claudio Scafuri, Giacomo Strangolino   *
 *   claudio@hyo   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <TApplication>
#include "quadrupole.h"
#include <tutil.h>
#include <X11/Xlib.h>
#include <QX11Info>
#include <elettracolors.h>

#define CVSVERSION "$Name: release_05 $"
int main( int argc, char ** argv ) {

      /* introduced in version 3.1. To retrieve the version:
    * 1. on the executable, execute `strings' and grep with "\$Name"
    * 2. call qApp->applicationVersion
    * 3. TApplication exports "version" on the DBus system.
      */
    const char *cvs_version = CVSVERSION;
    
    TApplication a( argc, argv );
    a.setApplicationVersion(cvs_version);
    a.setPalette(EPalette("fermi"));
    a.setApplicationName("quadrupole");
    TUtil::instance()->setLoggingTarget(argv[0]);
    Quadrupole mw;
    QString title("Quadrupole");
    QStringList argum=QApplication::arguments();
    if (argum.size() > 1 )
        title=argum.at(1).split('/').last(); //solo il member
    mw.setWindowTitle(title);
    mw.setText(title.toUpper());
    mw.show();

    /* register to window manager */
    Display *disp = QX11Info::display();
    Window root_win = (Window) mw.winId();
    XSetCommand(disp, root_win, argv, argc);

    return a.exec();
}
